3

On CentOS 6.5, when I am trying to upgrade the libxml2 package with:

yum localinstall libxml2-2.9.1-99.1.src.rpm

I am receiving the following output:

Examining libxml2-2.9.1-99.1.src.rpm: libxml2-2.9.1-99.1.src
Cannot add package libxml2-2.9.1-99.1.src.rpm to transaction. Not a compatible   architecture: src
Nothing to do

My current libxml2 version is libxml2-2.7.6-14.el6_5.2.x86_64.

Using rpm -Uvh libxml2-2.9.1-2.1.rpm, this output is proceeded:

warning: libxml2-2.9.1-2.1.rpm: Header V3 DSA/SHA1 Signature, key ID 3aa2aa5b: NOKEY
1:libxml2                ########################################### [100%]

Actually, nothing is changed, when I am listing the installed packages, the old libxml packages is still active.

2

It seems like you have incompatible versions between the libxml package and his dependencies, try to use the next version of libxml by upgrading all libraries and packages on your machine.

2
localinstall libxml2-2.9.1-99.1.src.rpm

This is a source code rpm, it contains sources, not binary, you should use rpmbuild before trying to install it.

About that, i'm confused, you give 2 differents rpm names ?

yum localinstall libxml2-2.9.1-99.1.src.rpm

and

rpm -Uvh libxml2-2.9.1-2.1.rpm

Is it because you already used rpmbuild ? If it's the case, you should have no problem.

Plus, be aware that you are trying to install a 32 bits version of your library, and you are on a 64 bits OS (as you say your version of libxml2 is libxml2-2.7.6-14.el6_5.2.x86_64)

  • after building the binary from libxml2-2.9.1-99.1.src.rpm, when I am trying to install the .rpm with rpm -Uvh libxml2-2-2.9.1-99.1.x86_64.rpm the following error has been thrown: file /usr/lib64/libxml2.so.2 from install of libxml2-2-2.9.1-99.1.x86_64 conflicts with file from package libxml2-2.7.6-14.el6_5.2.x86_64. – ibedelovski Dec 5 '14 at 10:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.